Bug 616094 - Deleting a fence device which is in use, causes a traceback on Nodes page
Summary: Deleting a fence device which is in use, causes a traceback on Nodes page
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: luci   
(Show other bugs)
Version: 6.0
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Ryan McCabe
QA Contact: Cluster QE
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-19 16:19 UTC by Chris Feist
Modified: 2016-04-26 16:23 UTC (History)
2 users (show)

Fixed In Version: luci-0.22.2-9.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 22:12:07 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Chris Feist 2010-07-19 16:19:09 UTC
Description of problem:
Deleting a fence device which is in use, causes a traceback on Nodes page

How reproducible:
Everytime

Steps to Reproduce:
1. Create a fence device
2. Add a fence instance to a node
3. Delete that fence device
4. Try to view that node
  
Actual results:
Traceback

Expected results:
The fence instance should be removed with the fence device

Additional info:

Comment 4 Brian Brock 2010-08-26 19:41:49 UTC
verified.

fence devices in use can be deleted cleanly without errors when viewing the node details.

Comment 5 releng-rhel@redhat.com 2010-11-10 22:12:07 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.